Package com.usatiuk.dhfs.remoteobj

# Class RemoteTransaction

java.lang.Object
com.usatiuk.dhfs.remoteobj.RemoteTransaction

@Singleton public class RemoteTransaction extends Object

## Constructor Summary

Constructors
Constructor
Description
`RemoteTransaction()`

## Method Summary

Modifier and Type
Method
Description
`<T extends JDataRemote>
Optional<T>`
`getData(Class<T> type, JObjectKey key)`
`<T extends JDataRemote>
Optional<T>`
`getDataLocal(Class<T> type, JObjectKey key)`
`Optional<RemoteObjectMeta>`
`getMeta(JObjectKey key)`
`<T extends JDataRemote>
void`
`putData(T obj)`
`<T extends JDataRemote>
void`
`putDataNew(T obj)`
`<T extends JDataRemote>
void`
`putDataRaw(T obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteTransaction

public RemoteTransaction()

## Method Details

### getMeta

public Optional<RemoteObjectMeta> getMeta(JObjectKey key)

### putDataRaw

public <T extends JDataRemote> void putDataRaw(T obj)

### putDataNew

public <T extends JDataRemote> void putDataNew(T obj)

### putData

public <T extends JDataRemote> void putData(T obj)

### getData

public <T extends JDataRemote> Optional<T> getData(Class<T> type, JObjectKey key)

### getDataLocal

public <T extends JDataRemote> Optional<T> getDataLocal(Class<T> type, JObjectKey key)